      subroutine hec_his_fit 
c
      implicit none
c 
      include'hec_par.inc'    ! 
      include'hec_runh.inc'    ! 
      include'hec_his_fit.inc'    ! 
      include'hec_his_sys.inc'    ! histogram package
c
c local variables
c
      integer id1,id2,nfpar,noent,i
      real fitchi
      real fitpar(3),fitsig(3),step(3),pmin(3),pmax(3)
      logical hexist
      real hstati
      external hexist,hstati
c
c fit Z clusters and impact point clusters when available
c
      id1=9090
      id2=19090
      do i=1,3
         id1=id1+1
         id2=id2+1
         if(hexist(id1))then
            call hnoent (id1,noent)
            imp_clus_noent(i) = noent
            fitpar(1)=float(noent)/3.
            fitpar(3)=hstati(id1,2,' ',0)
            if(i_part.ne.1)then
               fitpar(2)=hstati(id1,1,' ',0)
            else
               fitpar(2)=hstati(id1,1,' ',0)+0.5*fitpar(3)
            endif
            pmin(1)=0.
            pmin(2)=fitpar(2)-0.6*fitpar(3)
            pmin(3)=0.
            pmax(1)=float(noent)
            pmax(2)=fitpar(2)+0.6*fitpar(3)
            pmax(3)=1.1*fitpar(3)
            nfpar=3
            call hfithn(id1,'G','EQB',nfpar,fitpar,step,pmin,pmax,
     &           fitsig,fitchi)
            imp_clus_mean(i)=fitpar(2)
            imp_clus_mean_err(i)=fitsig(2)
            imp_clus_sig(i)=fitpar(3)
            imp_clus_sig_err(i)=fitsig(3)
            imp_clus_chi2(i) = fitchi
         endif
         if(hexist(id2))then
            call hnoent (id2,noent)
            z_clus_noent(i) = noent
            fitpar(1)=noent/5.
            fitpar(3)=hstati(id2,2,' ',0)
            if(i_part.ne.1)then
               fitpar(2)=hstati(id2,1,' ',0)
            else
               fitpar(2)=hstati(id2,1,' ',0)+0.5*fitpar(3)
            endif
            pmin(1)=0.
            pmin(2)=fitpar(2)-0.6*fitpar(3)
            pmin(3)=0.
            pmax(1)=float(noent)
            pmax(2)=fitpar(2)+0.6*fitpar(3)
            pmax(3)=1.1*fitpar(3)
            nfpar=3
            call hfithn(id2,'G','EQB',nfpar,fitpar,step,pmin,pmax,
     &           fitsig,fitchi)
            z_clus_mean(i)=fitpar(2)
            z_clus_mean_err(i)=fitsig(2)
            z_clus_sig(i)=fitpar(3)
            z_clus_sig_err(i)=fitsig(3)
            z_clus_chi2(i) = fitchi
         endif
      enddo
      return
      end





