      subroutine user_ntuple_block_ini
c
c routine to initialize user block in column-wise ntuples 
c for ntuple package
c
        implicit none
c
c parameter and geometry commons
c
        include'hec_par.inc'      ! shared parameters
        include'hec_datacard.inc' ! datacard values
        include'hec_ntuple.inc'   ! ntuple common
        include'user_ntuple_block.inc' ! user ntuple common 
c
	character*512 tags_user
c
c initialize list of column names for event ntuple 
c
c in this example book a channel flag. This will put in an integer
c flag for every channel for every event. So, at filling time 
c (user_ntuple_block_evt.f) determine value of flag by user-chosen
c criteria. 
c 
c
	tags_user = 'user_cells_used[0,300]:i,' //
     +              'user_chflag(user_cells_used):i'
c
c define columns for event ntuple
c
	call hbname(101,'hecuser',user_cells_used,tags_user)
c
        return 
        end










