      subroutine hec_dump_geo
c
c print the geometry correspondence tables
c
      implicit none
c
      include'hec_par.inc'
c
c common for datacard values
c
      include'hec_datacard.inc'
c
c geometry correspondence tables common
c must be preceded by the include file hec_par.inc
c
      include'hec_geo.inc'
c
      integer ic
      integer i_mod, i_seg, i_pad
      integer i_eta, i_phi, i_z
c
      character*5 crunpd(20)
      data crunpd/'may96', 'jul96', 'sep96', 'feb97', 'may97', 
     +            'oct97', 'apr98', 'aug98', 'jun99', 'aug99',
     +            'feb00', 'jun00', 'aug00', 'jun01', 'aug01',
     +            'other', 'other', 'other', 'other', 'other'/
c
      print *, ' '
      print *, ' *** dump of geometry correspondence tables for '
     +//crunpd(irunpd)
      print *, ' '
      print *, ' i_adc_used = ', i_adc_used
      print *, ' i_tim_used = ', i_tim_used
      print *, ' i_mod_used = ', i_mod_used
      print *, ' i_seg_used = ', i_seg_used
      print *, ' i_pad_used = ', i_pad_used
      print *, ' i_eta_used = ', i_eta_used
      print *, ' i_phi_used = ', i_phi_used
      print *, ' i_z_used   = ', i_z_used  
c
      print *, ' '
      print *, ' ictodb(ic, 1:3) and ictoph(ic, 1:3)'
      print *, '    ic --> i_mod i_seg i_pad i_eta i_phi   i_z'
      do ic = 1, i_adc_used
        write(*, '(1x, i6, a4, 6i6)') ic, ' -->',
     +  ictodb(ic, 1), ictodb(ic, 2), ictodb(ic, 3),
     +  ictoph(ic, 1), ictoph(ic, 2), ictoph(ic, 3)
      enddo
c
      print *, ' '
      print *, ' dbtoic(i_mod, i_seg, i_pad)'
      print *, ' i_mod i_seg i_pad -->    ic'
      do i_pad = 1, i_pad_used
        do i_seg = 1, i_seg_used
          do i_mod = 1, i_mod_used
            write(*, '(1x, 3i6, a4, i6)') 
     +      i_mod, i_seg, i_pad, ' -->',
     +      dbtoic(i_mod, i_seg, i_pad)
          enddo
        enddo
      enddo
c
      print *, ' '
      print *, ' phtoic(i_eta, i_phi, i_z)'
      print *, ' i_eta i_phi   i_z -->    ic'
      do i_z = 1, i_z_used
        do i_phi = 1, i_phi_used
          do i_eta = 1, i_eta_used
            write(*, '(1x, 3i6, a4, i6)') 
     +      i_eta, i_phi, i_z, ' -->',
     +      phtoic(i_eta, i_phi, i_z)
          enddo
        enddo
      enddo
      print *, ' '
c
      end
        
      
     
